Subject: Re: [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Lars-Dominik Braun <[email-masked]>
Date: Sat, 6 Jan 2024 16:51:24 +0100

Hi,

> Yea, glad to hear that. Waiting for #67921 is fine by me. Should I also
> prepare a patch for the GHC 9.4 package then? Currently this is only GHC
> 9.2.

as far as I see 9.4 inherits from 9.2 and thus this patch should be
applied automatically.

> I just grep'ed for GHC_PACKAGE_PATH, e.g.:
> 
> * https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/virtualization.scm#n784
> * https://git.savannah.gnu.org/cgit/guix.git/tree/guix/build/haskell-build-system.scm#n111
> * https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/haskell.scm#n963

Ah, I see. I’ll check whether this is still necessary.

Cheers,
Lars